package controller

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/application/setting"
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/gui/view"
)

func (c *controller) startWithError(err error) {
	languages := c.app.GetSetting().GetLanguages()

	content := view.StartWithError(err, languages, func(lang setting.Lang) {
		_ = setting.ChangeLang(lang)
		c.startWithError(err)
	})
	c.window.SetContent(content)
}
