package mp2fixed

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:a", "mp2fixed"}
	}

	return encoder.NewEncoder("mp2fixed", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "mp2fixed"
	formats := []string{"mp2"}
	fileType := encoder.FileType(encoder.Audio)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
